<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Contracts\Encryption\DecryptException;
use Illuminate\Support\Facades\Crypt;
use App\Models\ColunasColuna;
use App\Models\RegistoCampoDinamico;
use App\Models\ParametroDocumental;
use App\Models\SubParametroDocumental;
use Illuminate\Support\Facades\DB;

class DigiCarregamentoController extends Controller
{
    //

    public function caixa_index(Request $request)
    {
        $meuid=$request->solicitacao_id;
        $meu_id_decrypted="0";
            $meuid=$request->solicitacao_id;
            try {
                $meu_id_decrypted = Crypt::decryptString($meuid);
            } catch (DecryptException $e) {
                return back();
            }

            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$meu_id_decrypted)
                                ->select('parametrodocumentals.*')->distinct()->get();


        return view('usuarios.funcionarios.digitalizacao.carregamento.caixa.caixa',['id_cliente_decript'=>$meu_id_decrypted,'dados'=>$dados]);
    }


    public function caixa_index_carregamento_filezila(Request $request)
    {
        $meuid=$request->solicitacao_id;
        $meu_id_decrypted="0";
            $meuid=$request->solicitacao_id;
            try {
                $meu_id_decrypted = Crypt::decryptString($meuid);
            } catch (DecryptException $e) {
                return back();
            }

            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$meu_id_decrypted)
                                ->select('parametrodocumentals.*')->distinct()->get();


        return view('usuarios.funcionarios.digitalizacao.carregamento.caixa.filezila',['id_cliente_decript'=>$meu_id_decrypted,'dados'=>$dados]);
    }


    public function index()
    {
        $clientes=\App\Models\Cliente::all();
        return view('usuarios.funcionarios.digitalizacao.carregamento.caixa.escolha_carregamento',['clientes'=>$clientes]);
    }




}
